<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>DP Real Estate</title>

  <!-- Nhúng các thư viện BS4 & jQuery, awesome font -->
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.1.1/css/all.min.css">

  <!-- Select2 -->
  <link rel="stylesheet" href="plugins/select2/css/select2.min.css">
  <link rel="stylesheet" href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css">
  <script src="plugins/select2/js/select2.full.min.js"></script>

  <!-- SweetAlert2 -->
  <link rel="stylesheet" href="plugins/sweetalert2-theme-bootstrap-4/bootstrap-4.min.css">
  <script src="plugins/sweetalert2/sweetalert2.min.js"></script>

  <!-- Các file css tự định nghĩa thêm -->
  <link rel="stylesheet" href="style.css">
   <!-- Các file css tự định nghĩa thêm -->
   <link rel="stylesheet" href="style.css">
   <link href="assets/vendor/animate.css/animate.min.css" rel="stylesheet">
   <link href="assets/vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">
   <link href="assets/vendor/bootstrap-icons/bootstrap-icons.css" rel="stylesheet">
   <link href="assets/vendor/swiper/swiper-bundle.min.css" rel="stylesheet">

</head>

<body id="page-top">
 
<!-- Navigation - Menu bar-->
<nav class="navbar navbar-expand-lg navbar-light fixed-top" id="mainNav">
  <a class="nav-link text-white font-weight-bold px-4 to-slideshow-example" id= "home" href="#">HOME</a>

  <div class="container">
    <input type="checkbox" id="check">
    <label for="check">
      <i class="fas fa-bars" id="menu-bar-click"></i>
      <i class="fas fa-times" id="menu-bar-cancel"></i>
    </label>
    <ul class="navbar-nav ml-auto">
      <li class="nav-item pt-1 align-self-center">
        <a class="nav-link text-white font-weight-bold px-4 to-property-content" href="#">Project</a>
      </li>
      <li class="nav-item pt-1 align-self-center">
        <a class="nav-link text-white font-weight-bold px-4 to-new-post" href="#">News</a>
      </li>
      <li class="nav-item pt-1 align-self-center"><a class="nav-link text-white font-weight-bold px-4 to-utility"
          href="#">Utilities</a></li>
      <li class="nav-item pt-1 align-self-center"><a class="nav-link text-white font-weight-bold px-4 to-contact-us"
          href="#">Contact</a>
      </li>
    
      <li class="nav-item dropdown pt-1 align-self-center">
        <a class="nav-link px-4" data-toggle="dropdown">
          <span class="fa-stack fa-1x pl-2">
            <i class="fas fa-circle fa-stack-2x icon-background"></i>
            <i class="fa-solid fa-user fa-stack-1x"></i>
            <p class="ml-5" style="color:white ;font-family:Times New   ;" id="ten-dang-nhap"></p>
          </span>
          <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
            <div class="text-center mt-1">
              <button class="btn btn-primary" id="btn-log-in"><i class="fa-solid fa-right-to-bracket"></i> Log
                in</button>
                <p id="ten-dang-nhap"></p>
            </div>
            <div class="text-center mt-1">
              <button class="btn btn-danger" id="btn-log-out"><i class="fa-solid fa-right-from-bracket"></i> Log
                out</button>
            </div>
          </div>
        </a>
      </li>
    </ul>
  </div>
</nav>

<header class="header">
  <div class="overlay">
      <h1 class="subtitle">Estate</h1>
      <h1 class="title">Agency</h1>  
  </div>  
  <div class="shape">
      <svg viewBox="0 0 1500 200">
          <path d="m 0,240 h 1500.4828 v -71.92164 c 0,0 -286.2763,-81.79324 -743.19024,-81.79324 C 300.37862,86.28512 0,168.07836 0,168.07836 Z"/>
      </svg>
  </div>  
  <div class="mouse-icon"><div class="wheel"></div></div>
</header>

  <!-- 3. Property content -->
  <div class="container-fluid mb-5 paddding-navbar" id="property-content">
    <div class="container py-5">
      <div class="text-center mb-5">
        <h2 class="title-text-color mb-4">Detail Department</h2>
        <div class="row">
          <div class="col-sm-6 form-group border-right">
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Tiêu đề tin</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-title" type="text" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Tỉnh thành</label>
              </div>
              <div class="col-md-8 form-group">
                <select id="update-select-province" class="form-control select2bs4">
                  <option value="0" hidden>--Tên tỉnh thành--</option>
                </select>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Quận Huyện</label>
              </div>
              <div class="col-md-8 form-group">
                <select id="update-select-district" class="form-control select2bs4" disabled>
                  <option value="0" hidden>--Tên quận huyện--</option>
                </select>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Dự án xây dựng</label>
              </div>
              <div class="col-md-8 form-group">
                <select id="update-select-project" class="form-control">
                </select>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Loại tin</label>
              </div>
              <div class="col-md-8 form-group">
                <select id="update-select-type" class="form-control">
                  <option value="0">Đất</option>
                  <option value="1">Nhà ở</option>
                  <option value="2">Căn hộ/ Chung cư</option>
                  <option value="3">Văn phòng, mặt bằng</option>
                  <option value="4">Kinh doanh</option>
                  <option value="5">Phòng trọ</option>
                </select>
              </div>
            </div>

            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Giá đăng</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-price" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Giá tối thiểu</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-priceMin" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Thời gian bán</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-priceTime" type="number" class="form-control">
              </div>
            </div>
          </div>

          <div class="col-sm-6 form-group">
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Địa chỉ <i class="text-danger">*</i></label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-address" type="text" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Phường Xã</label>
              </div>
              <div class="col-md-8 form-group">
                <select id="update-select-ward" class="form-control select2bs4" disabled>
                  <option value="0">--Tên Phường Xã--</option>
                </select>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Đường phố</label>
              </div>
              <div class="col-md-8 form-group">
                <select id="update-select-street" class="form-control select2bs4" disabled>
                  <option value="0" >--Tên Đường phố--</option>
                </select>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Khách hàng</label>
              </div>
              <div class="col-md-8 form-group">
                <select id="update-select-customer" class="form-control select2bs4">
                  <option value="0" hidden>--Customer--</option>
                </select>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Nhân viên <i class="text-danger">*</i></label>
              </div>
              <div class="col-md-8 form-group">
                <select id="update-select-employee" class="form-control" disabled>
                  <option value="0" hidden>--Employee--</option>
                </select>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Nhu cầu</label>
              </div>
              <div class="col-md-8 form-group">
                <select id="update-select-request" class="form-control">
                  <option value="0">Cần bán</option>
                  <option value="2">Cần mua</option>
                  <option value="3">Cho thuê</option>
                  <option value="4">Cần thuê</option>
                </select>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Giá cho thuê</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-priceRent" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Trạng thái</label>
              </div>
              <div class="col-md-8 form-group">
                <select id="update-select-status" class="form-control" disabled>
                  <option value="N">Chưa duyệt</option>
                </select>
              </div>
            </div>

          </div>
        </div>

        <h5 class="text-center mb-5">Thông số kỹ thuật 1</h5>
        <div class="row">
          <div class="col-sm-6 form-group border-right">
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Diện tích BĐS</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-acreage" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Hướng nhà</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-direction" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Tổng số tầng</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-totalFloors" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Tầng số</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-numberFloors" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Diện tích tim tường</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-wallArea" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Vị trí căn hộ</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-apartLoca" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Loại nội thất</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-furnitureType" type="number" class="form-control">
              </div>
            </div>

          </div>
          <div class="col-sm-6 form-group">
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Mã căn hộ</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-apartCode" type="text" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Số nhà vệ sinh</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-bath" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Số phòng ngủ</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-bedroom" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Ban công</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-balcony" type="number" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Hướng cảnh quan</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-landscapeView" type="text" class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Loại căn hộ</label>
              </div>
              <div class="col-md-8 form-group">
                <input id="update-input-apartType" type="number" class="form-control">
              </div>
            </div>
          </div>
        </div>
            <div class="row form-group">
              <div class="col-md-4 text-left">
                <label>Ảnh</label>
              </div>
              <div class="col-md-8 form-group">
                <input type="file" id="update-input-photo" name="filename">
              </div>
            </div>


          </div>
        </div>
        <div class="form-group text-center">
          <button class="btn btn-primary" id="btn-update-confirm">Confirm</button>
          <button class="btn btn-secondary" id="btn-update-cancel">Cancel</button>
        </div>


      </div>
    </div>
  </div>

 <!-- 3. beryupside -->
  
 <section class="section-services section-t8" id="utility">
  <div class="container">
    <div class="row">
      <div class="col-md-12">
        <div class="title-wrap d-flex justify-content-between">
          <div class="title-box">
            <h2 class="title-a">Our Services</h2>
          </div>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-md-4">
        <div class="card-box-c foo">
          <div class="card-header-c d-flex">
            <div class="card-box-ico">
              <span class="bi bi-cart"></span>
            </div>
            <div class="card-title-c align-self-center">
              <h2 class="title-c">Lifestyle</h2>
            </div>
          </div>
          <div class="card-body-c">
            <p class="content-c">
              Sed porttitor lectus nibh. Cras ultricies ligula sed magna dictum porta. Praesent sapien massa,
              convallis a pellentesque
              nec, egestas non nisi.
            </p>
          </div>
          <div class="card-footer-c">
            <a href="#" class="link-c link-icon">Read more
              <span class="bi bi-chevron-right"></span>
            </a>
          </div>
        </div>
      </div>
      <div class="col-md-4">
        <div class="card-box-c foo">
          <div class="card-header-c d-flex">
            <div class="card-box-ico">
              <span class="bi bi-calendar4-week"></span>
            </div>
            <div class="card-title-c align-self-center">
              <h2 class="title-c">Loans</h2>
            </div>
          </div>
          <div class="card-body-c">
            <p class="content-c">
              Nulla porttitor accumsan tincidunt. Curabitur aliquet quam id dui posuere blandit. Mauris blandit
              aliquet elit, eget tincidunt
              nibh pulvinar a.
            </p>
          </div>
          <div class="card-footer-c">
            <a href="#" class="link-c link-icon">Read more
              <span class="bi bi-calendar4-week"></span>
            </a>
          </div>
        </div>
      </div>
      <div class="col-md-4">
        <div class="card-box-c foo">
          <div class="card-header-c d-flex">
            <div class="card-box-ico">
              <span class="bi bi-card-checklist"></span>
            </div>
            <div class="card-title-c align-self-center">
              <h2 class="title-c">Sell</h2>
            </div>
          </div>
          <div class="card-body-c">
            <p class="content-c">
              Sed porttitor lectus nibh. Cras ultricies ligula sed magna dictum porta. Praesent sapien massa,
              convallis a pellentesque
              nec, egestas non nisi.
            </p>
          </div>
          <div class="card-footer-c">
            <a href="#" class="link-c link-icon">Read more
              <span class="bi bi-chevron-right"></span>
            </a>
          </div>
        </div>
      </div>
    </div>
  </div>
</section><!-- End Services Section -->

<!-- 4. Tiện ích -->

<!-- Slideshow body -->
<div id="slideshow-example" data-component="slideshow" class="header-slideshow">
<div role="list">
  <div class="slide">
    <img src="images/phumyhung-img1.jpg" width="100%" alt="">
  </div>
  <div class="slide">
    <img src="images/landmark-81.jpg" width="100%" alt="">
  </div>
  <div class="slide">
    <img src="images/asiana capella.jpg" width="100%" alt="">
  </div>
  <div class="slide">
    <img src="images/home4.jpg" width="100%" alt="">
  </div>
  <div class="slide">
    <img src="images/home5.jpg" width="100%" alt="">
  </div>
</div>
</div>


<!-- 5. Contact us -->
<section id="contact-us" class="section has-img-bg pb-0 ">
      <div class="container">
          <div class="row align-items-center">
              <div class="col-md-5 my-3">
                <h5 class="mt-2 ml-3">Follow us:</h5>
                <a class="mx-2 mt-2 ml-3" href="#"><i class="fab fa-twitter"></i></a>
                <a class="mx-2 mt-2 ml-3" href="#"><i class="fab fa-facebook-f"></i></a>
                <a class="mx-2 mt-2 ml-3" href="#"><i class="text-danger fa-brands fa-youtube"></i></a>
                <a class="mx-2 mt-2 ml-3" href="#"><i class="fa-brands fa-snapchat"></i></i></a>
                <a class="mx-2 mt-2 ml-3" href="#"><i class="fa-brands fa-instagram"></i></i></a>
              </div>
              <div class="col-md-7">
                      <h4 class="mb-4">Drop Us A Line</h4>
                      <div class="form-row">
                          <div class="form-group col-sm-4">
                              <input id="inp-contract-name" type="text" class="form-control text-white" name="name" placeholder="Full Name">
                          </div>
                          <div class="form-group col-sm-4">
                              <input id="inp-contract-email" type="email" class="form-control text-white" name="Email" placeholder="Email">
                          </div>
                          <div class="form-group col-sm-4">
                              <input id="inp-contract-phone" type="number" class="form-control text-white" name="phone" placeholder="Phone Number">
                          </div>
                          <div class="form-group col-12">
                              <textarea id="inp-contract-message" name="message" id="" cols="30" rows="4" class="form-control text-white rounded-0 bg-transparent" placeholder="Message"></textarea>
                          </div>
                          <div class="form-group col-12 mb-0">
                              <button id="btn-send-contract" class="btn btn-primary rounded w-md mt-3">Send</button>
                          </div>                          
                      </div>                          
              </div>
          </div>
   
      </div>
      
  <footer >
    <div class="col-12 mt-2 text-center section has-img-bg pb-0">
      <h5 >Contact Us | Hotline: 1900 0081</h5>
    </div>
  </footer>

  </section>

</body>

<script>

  var slideshows = document.querySelectorAll('[data-component="slideshow"]');
  slideshows.forEach(initSlideShow);

  function initSlideShow(slideshow) {

    var slides = document.querySelectorAll(`#${slideshow.id} [role="list"] .slide`);

    var index = 0, time = 3000;
    slides[index].classList.add('active');

    setInterval(() => {
      slides[index].classList.remove('active');

      index++;
      if (index === slides.length) index = 0;

      slides[index].classList.add('active');

    }, time);
  };

  $(document).ready(function () {

    //Initialize Select2 Elements
    $('.select2bs4').select2({
      theme: 'bootstrap4'
    });

    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const token = getCookie("token");

    var gRealEstateId;

    if (token != "") {
      $("#btn-log-in").hide();
    };
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    onPageLoading();

    $(".to-slideshow-example").click(function () {
      $('html, body').animate({
        scrollTop: $("#slideshow-example").offset().top
      }, 1000);
    });

    $(".to-property-content").click(function () {
      $('html, body').animate({
        scrollTop: $("#property-content").offset().top
      }, 1000);
    });

    $(".to-dp-upside").click(function () {
      $('html, body').animate({
        scrollTop: $("#dp-upside").offset().top
      }, 1000);
    });

    $(".to-contact-us").click(function () {
      $('html, body').animate({
        scrollTop: $("#contact-us").offset().top
      }, 1000);
    });

    $(".to-utility").click(function () {
      $('html, body').animate({
        scrollTop: $("#utility").offset().top
      }, 1000);
    });

    //Set sự kiện cho nút login
    $("#btn-log-in").on("click", function () {
      window.location.href = "../AdminFrontEnd/index.html";
    });

     //quay về index
     $("#home").on("click" , function () {
      window.location.href = "index.html";
    })

    //Set sự kiện cho nút logout
    $("#btn-log-out").on("click", function () {
      redirectToLogin();
    });

    $("#btn-update-cancel").on("click", function () {
      window.location.href = "index.html"
    });

    $("#btn-update-confirm").on("click", function () {
      onBtnUpdateConfirmClick();
    })

    // gán xự kiện khi ô select thay đổi
    $("#update-select-province").on("change", function () {
      $("#update-select-district").html("");
      var bProvinceId = $(this).val();
      callApiGetDistrictByProvinceId(bProvinceId);
    });

    // gán xự kiện khi ô select thay đổi
    $("#update-select-district").on("change", function () {
      $("#update-select-ward").html("");
      $("#update-select-street").html("");
      var bDistrictId = $(this).val();
      callApiGetWardByDistrictId(bDistrictId);
      callApiGetStreetByDistrictId(bDistrictId);
    });


    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onPageLoading() {
      "use strict";
      callApiGetAllCustomer();
      callApiGetAllProject();
      callApiGetAllProvince();
      callApiGetAllEmployees();
      //tạo đối tượng url để truy vấn tham số 
      var vUrlObject = new URL(window.location.href);
      // đưa tham số customerId sang bằng query string
      var vRealEstateId = vUrlObject.searchParams.get("realEstateId");
      gRealEstateId = vRealEstateId;
      if (vRealEstateId != null) {
        callApiGetRealEstateDataById(vRealEstateId);
      } else {
        alert("Không có dữ liệu RealEstateId.");
        window.location.href = "realestate.html";
      }

    }

    // Hàm xử lý khi nút xác nhận tạo mới Real estate được nhấn
    function onBtnUpdateConfirmClick() {
      "use strict";
      var vUpdateData = {
        title: "",
        type: "",
        request: "",
        address: "",
        price: "",
        priceMin: "",
        priceTime: "",
        acreage: "",
        direction: "",
        totalFloors: "",
        numberFloors: "",
        bath: "",
        apartCode: "",
        wallArea: "",
        bedroom: "",
        balcony: "",
        landscapeView: "",
        apartLoca: "",
        apartType: "",
        furnitureType: "",
        priceRent: "",
        returnRate: "",
        legalDoc: "",
        description: "",
        widthY: "",
        longX: "",
        streetHouse: "",
        fsbo: "",
        viewNum: "",
        updateBy: "",
        shape: "",
        distance2facade: "",
        adjacent_facade_num: "",
        adjacentRoad: "",
        alley_min_width: "",
        adjacent_alley_min_width: "",
        factor: "",
        structure: "",
        dtsxd: "",
        clcl: "",
        ctxd_price: "",
        ctxd_value: "",
        photo: "",
        lat: "",
        lng: "",
        status: "",
      }
      // B1: Thu thập dữ liệu
      var vProvinceValue = $("#update-select-province").val();
      var vDistrictValue = $("#update-select-district").val();
      var vWardValue = $("#update-select-ward").val();
      var vStreetValue = $("#update-select-street").val();
      var vCustomerValue = $("#update-select-customer").val();
      var vProjectValue = $("#update-select-project").val();
      var vEmployeeValue = $("#update-select-employee").val();
      getUpdateData(vUpdateData);
      // B2: Kiểm tra dữ liệu
      var isValidate = validateUpdateData(vUpdateData, vEmployeeValue);
      if (isValidate == true) {
        // B3: xử lý hiển thị dữ liệu
        callApiUpdateRealEstate(vUpdateData, vProvinceValue, vDistrictValue, vWardValue, vStreetValue, vCustomerValue, vProjectValue, vEmployeeValue);
      }
    }

    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình */
    // call api tạo mới thông tin BDS
    function callApiUpdateRealEstate(paramupdateData, paramProvince, paramDistrict, paramWard, paramStreet, paramCustomer, paramProject, paramEmployee) {
      $.ajax({
        url: "http://localhost:8080/realEstates/" + gRealEstateId + "/" + paramProvince + "/" + paramDistrict + "/" + paramWard + "/" + paramStreet + "/" + paramProject + "/" + paramCustomer + "/" + paramEmployee,
        method: "PUT",
        async: false,
        contentType: "application/json;charset=UTF-8",
        data: JSON.stringify(paramupdateData),
        headers: {
          'Content-Type': 'application/json;charset=UTF-8',
          "Authorization": "Token " + token,
        },
        success: function (paramResponseObj) {
          //console.log(paramResponseObj);
          window.location.href = "index.html";
        },
        error: function (paramError) {
          console.log(paramError);
          alertError("Cập nhật thông tin BĐS không thành công.");
        }
      });
    }

    // Hàm gọi api lấy tất cả customer
    function callApiGetAllCustomer() {
      $.ajax({
        url: "http://localhost:8080/customers",
        method: "GET",
        async: false,
        headers: {
          'Content-Type': 'application/json;charset=UTF-8',
          "Authorization": "Token " + token,
        },
        success: function (paramResponseObj) {
          //console.log(paramResponseObj);
          loadDataToCustomerSelect(paramResponseObj);
        },
        error: function (paramError) {
          console.log(paramError);
        }
      });
    }

    // Hàm gọi api lấy tất cả employee
    function callApiGetAllEmployees() {
      $.ajax({
        url: "http://localhost:8080/employees",
        method: "GET",
        async: false,
        headers: {
          'Content-Type': 'application/json;charset=UTF-8',
          "Authorization": "Token " + token,
        },
        success: function (paramResponseObj) {
          //console.log(paramResponseObj);
          loadDataToEmployeeSelect(paramResponseObj);
        },
        error: function (paramError) {
          console.log(paramError);
        }
      });
    }

    // Hàm gọi api lấy tất cả project
    function callApiGetAllProject() {
      $.ajax({
        url: "http://localhost:8080/projects",
        method: "GET",
        async: false,
        headers: {
          'Content-Type': 'application/json;charset=UTF-8',
          "Authorization": "Token " + token,
        },
        success: function (paramResponseObj) {
          //console.log(paramResponseObj);
          loadDataToProjectSelect(paramResponseObj);
        },
        error: function (paramError) {
          console.log(paramError);
        }
      });
    }

    // Hàm gọi api tất cả tỉnh thành
    function callApiGetAllProvince() {
      $.ajax({
        url: "http://localhost:8080/provinces",
        method: "GET",
        async: false,
        headers: {
          'Content-Type': 'application/json;charset=UTF-8',
          "Authorization": "Token " + token,
        },
        success: function (paramResponseObj) {
          //console.log(paramResponseObj);
          loadDataToProvinceSelect(paramResponseObj);
        },
        error: function (paramError) {
          console.log(paramError);
        }
      });
    }

    // Hàm xử lý gọi api lấy dữ liệu district bằng province id
    function callApiGetDistrictByProvinceId(paramProvinceId) {
      "use strict";
      $.ajax({
        url: "http://localhost:8080/districts/province/" + paramProvinceId,
        method: "GET",
        async: false,
        headers: {
          'Content-Type': 'application/json;charset=UTF-8',
          "Authorization": "Token " + token,
        },
        success: function (paramResponseObj) {
          //console.log(paramResponseObj);
          loadDataToDistrictSelect(paramResponseObj);
        },
        error: function (paramError) {
          console.log(paramError);
        }
      });
    }

    // Hàm xử lý gọi api lấy dữ liệu ward bằng district id
    function callApiGetWardByDistrictId(paramDistrictId) {
      "use strict";
      $.ajax({
        url: "http://localhost:8080/wards/district/" + paramDistrictId,
        method: "GET",
        async: false,
        headers: {
          'Content-Type': 'application/json;charset=UTF-8',
          "Authorization": "Token " + token,
        },
        success: function (paramResponseObj) {
          //console.log(paramResponseObj);
          loadDataToWardSelect(paramResponseObj);
        },
        error: function (paramError) {
          console.log(paramError);
        }
      });
    }

    // Hàm xử lý gọi api lấy dữ liệu street bằng distirct id
    function callApiGetStreetByDistrictId(paramDistrictId) {
      "use strict";
      $.ajax({
        url: "http://localhost:8080/streets/district/" + paramDistrictId,
        method: "GET",
        async: false,
        headers: {
          'Content-Type': 'application/json;charset=UTF-8',
          "Authorization": "Token " + token,
        },
        success: function (paramResponseObj) {
          //console.log(paramResponseObj);
          loadDataToStreetSelect(paramResponseObj);
        },
        error: function (paramError) {
          console.log(paramError);
        }
      });
    }


    // Hàm gọi api lấy dữ liệu project bằng id
    function callApiGetRealEstateDataById(paramRealEstateId) {
      $.ajax({
        url: "http://localhost:8080/realEstates/" + paramRealEstateId,
        method: "GET",
        async: false,
        headers: {
          'Content-Type': 'application/json;charset=UTF-8',
          "Authorization": "Token " + token,
        },
        success: function (paramResponseObj) {
          //console.log(paramResponseObj);
          loadDataOnForm(paramResponseObj);
        },
        error: function (paramError) {
          console.log(paramError);
        }
      });
    }

    // Load dữ liệu vào ô select customer
    function loadDataToCustomerSelect(paramResponse) {
      "use strict";
      var vCustomerSelect = $("#update-select-customer");
      for (let i = 0; i < paramResponse.length; i++) {
        var bOption = $("<option/>");
        bOption.prop("value", paramResponse[i].id);
        bOption.prop("text", paramResponse[i].contactName);
        vCustomerSelect.append(bOption);
      };
    }

    // Load dữ liệu vào ô select employee
    function loadDataToEmployeeSelect(paramResponse) {
      "use strict";
      var vEmployeeSelect = $("#update-select-employee");
      for (let i = 0; i < paramResponse.length; i++) {
        var bOption = $("<option/>");
        bOption.prop("value", paramResponse[i].employeeID);
        bOption.prop("text", paramResponse[i].firstName + " " + paramResponse[i].lastName);
        vEmployeeSelect.append(bOption);
      };
    }

    // Load dữ liệu vào ô select project
    function loadDataToProjectSelect(paramResponse) {
      "use strict";
      var vProjectSelect = $("#update-select-project");
      for (let i = 0; i < paramResponse.length; i++) {
        var bOption = $("<option/>");
        bOption.prop("value", paramResponse[i].id);
        bOption.prop("text", paramResponse[i].name);
        vProjectSelect.append(bOption);
      };
    }

    // Load dữ liệu vào ô select province
    function loadDataToProvinceSelect(paramResponse) {
      "use strict";
      var vModalProvinceSelect = $("#update-select-province");
      for (let i = 0; i < paramResponse.length; i++) {
        var bProvinceOption = $("<option/>");
        bProvinceOption.prop("value", paramResponse[i].id);
        bProvinceOption.prop("text", paramResponse[i].name);
        vModalProvinceSelect.append(bProvinceOption);
      };
    }

    // Load dữ liệu phản hồi vào ô select district
    function loadDataToDistrictSelect(paramResponse) {
      "use strict";
      var vDistrictSelectElement = $("#update-select-district");
      if (paramResponse.length > 0) {
        vDistrictSelectElement.prop("disabled", false);

        for (let i = 0; i < paramResponse.length; i++) {
          var bDistrictOption = $("<option/>");
          bDistrictOption.prop("value", paramResponse[i].id);
          bDistrictOption.prop("text", paramResponse[i].name);
          vDistrictSelectElement.append(bDistrictOption);
        };
      } else {
        vDistrictSelectElement.prop("disabled", true);
      }
    }

    // Load dữ liệu phản hồi vào ô select ward
    function loadDataToWardSelect(paramResponse) {
      "use strict";
      var vWardSelectElement = $("#update-select-ward");
      if (paramResponse.length > 0) {
        vWardSelectElement.prop("disabled", false);

        for (let i = 0; i < paramResponse.length; i++) {
          var bDistrictOption = $("<option/>");
          bDistrictOption.prop("value", paramResponse[i].id);
          bDistrictOption.prop("text", paramResponse[i].name);
          vWardSelectElement.append(bDistrictOption);
        };
      } else {
        vWardSelectElement.prop("disabled", true);
      }
    }

    // Load dữ liệu phản hồi vào ô select street
    function loadDataToStreetSelect(paramResponse) {
      "use strict";
      var vStreetSelectElement = $("#update-select-street");
      if (paramResponse.length > 0) {
        vStreetSelectElement.prop("disabled", false);

        for (let i = 0; i < paramResponse.length; i++) {
          var bDistrictOption = $("<option/>");
          bDistrictOption.prop("value", paramResponse[i].id);
          bDistrictOption.prop("text", paramResponse[i].name);
          vStreetSelectElement.append(bDistrictOption);
        };
      } else {
        vStreetSelectElement.prop("disabled", true);
      }
    }

    function getUpdateData(paramUpdateData) {
      paramUpdateData.title = $("#update-input-title").val().trim();
      paramUpdateData.type = $("#update-select-type").val();
      paramUpdateData.request = $("#update-select-request").val().trim();
      paramUpdateData.address = $("#update-input-address").val().trim();
      paramUpdateData.price = $("#update-input-price").val().trim();
      paramUpdateData.priceMin = $("#update-input-priceMin").val().trim();
      paramUpdateData.priceTime = $("#update-input-priceTime").val().trim();
      paramUpdateData.acreage = $("#update-input-acreage").val().trim();
      paramUpdateData.direction = $("#update-input-direction").val().trim();
      paramUpdateData.totalFloors = $("#update-input-totalFloors").val().trim();

      
      let textImg = $("#update-input-photo").val();
      paramUpdateData.photo = "images/projects/" + textImg.substring(textImg.lastIndexOf("\\") + 1, textImg.length);
      paramUpdateData.status = $("#update-select-status").val();
    }

    function validateUpdateData(paramUpdateData, paramEmployee) {
      "use strict";
      if (paramUpdateData.address == "") {
        alertError("Địa chỉ không được để trống");
        return false;
      }
      if (paramEmployee == 0) {
        alertError("Nhân viên phải được chọn.");
        return false;
      }
      return true;
    }

    function loadDataOnForm(paramRealEstate) {
      $("#update-select-project").val(paramRealEstate.project.id);
      $("#update-select-employee").val(paramRealEstate.employee.employeeID);

      $("#update-input-title").val(paramRealEstate.title);
      $("#update-select-type").val(paramRealEstate.type);
      $("#update-select-request").val(paramRealEstate.request);
      $("#update-input-address").val(paramRealEstate.address);
      $("#update-input-price").val(paramRealEstate.price);
      $("#update-input-priceMin").val(paramRealEstate.priceMin);
      $("#update-input-priceTime").val(paramRealEstate.priceTime);
      $("#update-input-acreage").val(paramRealEstate.acreage);
      $("#update-input-direction").val(paramRealEstate.direction);
      $("#update-input-totalFloors").val(paramRealEstate.totalFloors);

      $("#update-input-numberFloors").val(paramRealEstate.numberFloors);
      $("#update-input-bath").val(paramRealEstate.bath);
      $("#update-input-apartCode").val(paramRealEstate.apartCode);
      $("#update-input-wallArea").val(paramRealEstate.wallArea);
      $("#update-input-bedroom").val(paramRealEstate.bedroom);
      $("#update-input-balcony").val(paramRealEstate.balcony);
      $("#update-input-landscapeView").val(paramRealEstate.landscapeView);
      $("#update-input-apartLoca").val(paramRealEstate.apartLoca);
      $("#update-input-apartType").val(paramRealEstate.apartType);
      $("#update-input-furnitureType").val(paramRealEstate.furnitureType);
      $("#update-input-priceRent").val(paramRealEstate.priceRent);

      $("#update-input-returnRate").val(paramRealEstate.returnRate);
      $("#update-input-legalDoc").val(paramRealEstate.legalDoc);
      $("#update-input-description").val(paramRealEstate.description);
      $("#update-input-widthY").val(paramRealEstate.widthY);
      $("#update-input-longX").val(paramRealEstate.longX);
      $("#update-input-streetHouse").val(paramRealEstate.streetHouse);
      $("#update-input-fsbo").val(paramRealEstate.fsbo);
      $("#update-input-viewNum").val(paramRealEstate.viewNum);
      $("#update-input-updateBy").val(paramRealEstate.updateBy);

      $("#update-input-shape").val(paramRealEstate.shape);
      $("#update-input-distance2facade").val(paramRealEstate.distance2facade);
      $("#update-input-adjacent_facade_num").val(paramRealEstate.adjacent_facade_num);
      $("#update-input-adjacentRoad").val(paramRealEstate.adjacentRoad);
      $("#update-input-alley_min_width").val(paramRealEstate.alley_min_width);
      $("#update-input-adjacent_alley_min_width").val(paramRealEstate.adjacent_alley_min_width);
      $("#update-input-factor").val(paramRealEstate.factor);
      $("#update-input-structure").val(paramRealEstate.structure);
      $("#update-input-dtsxd").val(paramRealEstate.dtsxd);
      $("#update-input-clcl").val(paramRealEstate.clcl);
      $("#update-input-ctxd_price").val(paramRealEstate.ctxd_price);

      $("#update-input-ctxd_value").val(paramRealEstate.ctxd_value);
      $("#update-input-lat").val(paramRealEstate.lat);
      $("#update-input-lng").val(paramRealEstate.lng);
    }

    function redirectToLogin() {
      // Trước khi logout cần xóa token đã lưu trong cookie
      setCookie("token", "", 1);
      window.location.href = "index.html";
    }

    //Hàm get Cookie
    function getCookie(cname) {
      var name = cname + "=";
      var decodedCookie = decodeURIComponent(document.cookie);
      var ca = decodedCookie.split(';');
      for (var i = 0; i < ca.length; i++) {
        var c = ca[i];
        while (c.charAt(0) == ' ') {
          c = c.substring(1);
        }
        if (c.indexOf(name) == 0) {
          return c.substring(name.length, c.length);
        }
      }
      return "";
    }

    //Hàm setCookie đã giới thiệu ở bài trước
    function setCookie(cname, cvalue, exdays) {
      var d = new Date();
      d.setTime(d.getTime() + (exdays * 24 * 60 * 60 * 1000));
      var expires = "expires=" + d.toUTCString();
      document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
    }

    // Hàm alert lỗi
    function alertError(paramTitle) {
      "use strict";
      $(function () {
        var Toast = Swal.mixin({
          toast: false,
          position: 'top',
          showConfirmButton: false,
          timer: 3500
        });
        Toast.fire({
          icon: 'error',
          title: paramTitle,
        })
      });
    }

  });
</script>

</html>